I am running antergos with a Gnome desktop. While running a system upgrade i get the following prompt -

Synchronizing package databases...
 antergos is up to date
 core is up to date           0.0   B  0.00B/s 00:00 [---------------------------]   0%
 extra is up to date          0.0   B  0.00B/s 00:00 [---------------------------]   0%
 community                    3.7 MiB  1383K/s 00:03 [###########################] 100%
 multilib is up to date       0.0   B  0.00B/s 00:00 [---------------------------]   0%
:: Starting full system upgrade...
:: Replace kdebase-kdialog with extra/kdialog? [Y/n]

Then when I say yes, I get the following error -

resolving dependencies...
looking for conflicting packages...
error: failed to prepare transaction (could not satisfy dependencies)
:: shashlik-bin: removing kdebase-kdialog breaks dependency 'kdebase-kdialog'

I have tried sudo pacman -R kdebase-kdialog but i get the same error. How do I resolve this?